# PCMGSetNumberSmoothDown

Sets the number of pre-smoothing steps to use on all levels. Use PCMGGetSmootherDown() to set different pre-smoothing steps on different levels.

### Synopsis

    #include "petscmg.h"
    PetscErrorCode PETSCKSP_DLLEXPORT PCMGSetNumberSmoothDown(PC pc,PetscInt n)

Collective on PC

### Input Parameters

| mg | - the multigrid context
| n | - the number of smoothing steps

### Options Database Key

-pc_mg_smoothdown <n> -Sets number of pre-smoothing steps

### Keywords

MG, smooth, down, pre-smoothing, steps, multigrid

### See Also

PCMGSetNumberSmoothUp()

Level:advanced
Location: src/ksp/pc/impls/mg/mg.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages